/**
 * src/routes/events/[event_id]/(leads)/leads/+page.ts
 * Exhibit Finder Page Loader.
 */
import { browser } from '$app/environment';
import { events_func } from '$lib/ae_events/ae_events_functions';

export async function load({ params, parent }) {
    const parent_data = await parent();
    const account_id = parent_data.account_id;
    const ae_acct = parent_data[account_id];
    const event_id = params.event_id;

    if (browser && event_id) {
        events_func.load_ae_obj_li__event_exhibit({
            api_cfg: ae_acct.api,
            event_id: event_id,
            limit: 100,
            log_lvl: 0
        });
    }

    return {};
}
